Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class ImpliedCurrencyAmountRangeChoice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.ImpliedCurrencyAmountRangeChoice

    public class ImpliedCurrencyAmountRangeChoice
    extends java.lang.Object

Java class for ImpliedCurrencyAmountRangeChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ImpliedCurrencyAmountRangeChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="FrAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}AmountRangeBoundary1"/>
               <element name="ToAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}AmountRangeBoundary1"/>
               <element name="FrToAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}FromToAmountRange"/>
               <element name="EQAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ImpliedCurrencyAndAmount"/>
               <element name="NEQAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ImpliedCurrencyAndAmount"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.math.BigDecimal` `eqAmt`
`protected AmountRangeBoundary1` `frAmt`
`protected FromToAmountRange` `frToAmt`
`protected java.math.BigDecimal` `neqAmt`
`protected AmountRangeBoundary1` `toAmt`

### Constructor Summary

Constructors
`ImpliedCurrencyAmountRangeChoice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigDecimal` `getEQAmt()` Gets the value of the eqAmt property.
`AmountRangeBoundary1` `getFrAmt()` Gets the value of the frAmt property.
`FromToAmountRange` `getFrToAmt()` Gets the value of the frToAmt property.
`java.math.BigDecimal` `getNEQAmt()` Gets the value of the neqAmt property.
`AmountRangeBoundary1` `getToAmt()` Gets the value of the toAmt property.
`void` `setEQAmt​(java.math.BigDecimal value)` Sets the value of the eqAmt property.
`void` `setFrAmt​(AmountRangeBoundary1 value)` Sets the value of the frAmt property.
`void` `setFrToAmt​(FromToAmountRange value)` Sets the value of the frToAmt property.
`void` `setNEQAmt​(java.math.BigDecimal value)` Sets the value of the neqAmt property.
`void` `setToAmt​(AmountRangeBoundary1 value)` Sets the value of the toAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### frAmt

    protected AmountRangeBoundary1 frAmt

#### toAmt

    protected AmountRangeBoundary1 toAmt

#### frToAmt

    protected FromToAmountRange frToAmt

#### eqAmt

    protected java.math.BigDecimal eqAmt

#### neqAmt

    protected java.math.BigDecimal neqAmt

### Constructor Detail

#### ImpliedCurrencyAmountRangeChoice

    public ImpliedCurrencyAmountRangeChoice()

### Method Detail

#### getFrAmt

    public AmountRangeBoundary1 getFrAmt()

Gets the value of the frAmt property.

Returns:
  possible object is `AmountRangeBoundary1`

#### setFrAmt

    public void setFrAmt​(AmountRangeBoundary1 value)

Sets the value of the frAmt property.

Parameters:
  `value` - allowed object is `AmountRangeBoundary1`

#### getToAmt

    public AmountRangeBoundary1 getToAmt()

Gets the value of the toAmt property.

Returns:
  possible object is `AmountRangeBoundary1`

#### setToAmt

    public void setToAmt​(AmountRangeBoundary1 value)

Sets the value of the toAmt property.

Parameters:
  `value` - allowed object is `AmountRangeBoundary1`

#### getFrToAmt

    public FromToAmountRange getFrToAmt()

Gets the value of the frToAmt property.

Returns:
  possible object is `FromToAmountRange`

#### setFrToAmt

    public void setFrToAmt​(FromToAmountRange value)

Sets the value of the frToAmt property.

Parameters:
  `value` - allowed object is `FromToAmountRange`

#### getEQAmt

    public java.math.BigDecimal getEQAmt()

Gets the value of the eqAmt property.

Returns:
  possible object is `BigDecimal`

#### setEQAmt

    public void setEQAmt​(java.math.BigDecimal value)

Sets the value of the eqAmt property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getNEQAmt

    public java.math.BigDecimal getNEQAmt()

Gets the value of the neqAmt property.

Returns:
  possible object is `BigDecimal`

#### setNEQAmt

    public void setNEQAmt​(java.math.BigDecimal value)

Sets the value of the neqAmt property.

Parameters:
  `value` - allowed object is `BigDecimal`